be.fgov.ehealth.hubservices.core.v2

## Class ConsentWithStatusType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.ConsentWithStatusType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:03:09+01:00",
                 comments="JAXB RI v2.2.11")
      public class ConsentWithStatusType
      extends Object
      implements Serializable

  Java class for ConsentWithStatusType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsentWithStatusType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType"/>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-CONSENT" maxOccurs="2"/>
               <element name="signdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="revokedate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="status" type="{http://www.ehealth.fgov.be/hubservices/core/v2}StatusType"/>
               <element name="author" type="{http://www.ehealth.fgov.be/hubservices/core/v2}AuthorWithPatientAndPersonType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsentWithStatusType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthorWithPatientAndPersonType` | `getAuthor()` Gets the value of the author property.
    `List<CDCONSENT>` | `getCds()` Gets the value of the cds property.
    `PatientIdType` | `getPatient()` Gets the value of the patient property.
    `org.joda.time.DateTime` | `getRevokedate()` Gets the value of the revokedate property.
    `org.joda.time.DateTime` | `getSigndate()` Gets the value of the signdate property.
    `StatusType` | `getStatus()` Gets the value of the status property.
    `void` | `setAuthor(AuthorWithPatientAndPersonType value)` Sets the value of the author property.
    `void` | `setPatient(PatientIdType value)` Sets the value of the patient property.
    `void` | `setRevokedate(org.joda.time.DateTime value)` Sets the value of the revokedate property.
    `void` | `setSigndate(org.joda.time.DateTime value)` Sets the value of the signdate property.
    `void` | `setStatus(StatusType value)` Sets the value of the status property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsentWithStatusType

          public ConsentWithStatusType()

  - ### Method Detail

    - #### getPatient

          public PatientIdType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PatientIdType`

    - #### setPatient

          public void setPatient(PatientIdType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PatientIdType`

    - #### getCds

          public List<CDCONSENT> getCds()

      Gets the value of the cds property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

      For example, to add a new item, do as follows:

              getCds().add(newItem);

      Objects of the following type(s) are allowed in the list `CDCONSENT`

    - #### getSigndate

          public org.joda.time.DateTime getSigndate()

      Gets the value of the signdate property.
      Returns:
        possible object is `String`

    - #### setSigndate

          public void setSigndate(org.joda.time.DateTime value)

      Sets the value of the signdate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRevokedate

          public org.joda.time.DateTime getRevokedate()

      Gets the value of the revokedate property.
      Returns:
        possible object is `String`

    - #### setRevokedate

          public void setRevokedate(org.joda.time.DateTime value)

      Sets the value of the revokedate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatus

          public StatusType getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `StatusType`

    - #### setStatus

          public void setStatus(StatusType value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `StatusType`

    - #### getAuthor

          public AuthorWithPatientAndPersonType getAuthor()

      Gets the value of the author property.
      Returns:
        possible object is `AuthorWithPatientAndPersonType`

    - #### setAuthor

          public void setAuthor(AuthorWithPatientAndPersonType value)

      Sets the value of the author property.
      Parameters:
        `value` - allowed object is `AuthorWithPatientAndPersonType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.